AIServer (Hyperic HQ Plugin API)
Keywords: org.hyperic.hq.autoinventory.AIServer class

Overview | Package | Class | Tree | Deprecated | Index | Help
| Hyperic HQ Plugin API v. 4.4.0.2
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.hyperic.hq.autoinventory
Class AIServer

    java.lang.Object
      org.hyperic.hibernate.PersistedObject
          org.hyperic.hq.appdef.AppdefBean
              org.hyperic.hq.appdef.server.session.AppdefNamedBean
                  org.hyperic.hq.appdef.server.session.AppdefResource
                      org.hyperic.hq.appdef.ServerBase
                          org.hyperic.hq.autoinventory.AIServer

All Implemented Interfaces:
  java.io.Serializable, ContainerManagedTimestampTrackable

    public class AIServer

extends ServerBase

See Also:
  Serialized Form

Field Summary

Fields inherited from class org.hyperic.hq.appdef.ServerBase
`autoinventoryIdentifier, installPath, servicesAutomanaged`

Fields inherited from class org.hyperic.hq.appdef.server.session.AppdefNamedBean
`description, location, modifiedBy, name, sortName`

Fields inherited from class org.hyperic.hq.appdef.AppdefBean
`cid, creationTime, modifiedTime`

Constructor Summary
`AIServer()` default constructor
`AIServer(AIServerValue sv)`

Method Summary
`protected java.lang.String` | `_getAuthzOp(java.lang.String op)`
`boolean` | `equals(java.lang.Object obj)`
`java.lang.Character` | `getActive()`
`AIPlatform` | `getAIPlatform()`
`AIServerValue` | `getAIServerValue()` Deprecated. use (this) AIServer object instead
`AppdefResourceType` | `getAppdefResourceType()` For compatibility
`AppdefResourceValue` | `getAppdefResourceValue()` For compatibility
`byte[]` | `getControlConfig()`
`byte[]` | `getCustomProperties()`
`long` | `getDiff()`
`boolean` | `getIgnored()` Deprecated. use isIgnored()
`byte[]` | `getMeasurementConfig()`
`byte[]` | `getProductConfig()`
`int` | `getQueueStatus()`
`byte[]` | `getResponseTimeConfig()`
`java.lang.String` | `getServerTypeName()`
`int` | `hashCode()`
`boolean` | `isIgnored()`
`void` | `setActive(java.lang.Character active)`
`void` | `setAIPlatform(AIPlatform aIPlatform)`
`void` | `setAIServerValue(AIServerValue valueHolder)`
`void` | `setControlConfig(byte[] controlConfig)`
`void` | `setCustomProperties(byte[] customProperties)`
`void` | `setDiff(long diff)`
`void` | `setIgnored(boolean ignored)`
`void` | `setMeasurementConfig(byte[] measurementConfig)`
`void` | `setProductConfig(byte[] productConfig)`
`void` | `setQueueStatus(int queueStatus)` Deprecated. use setQueueStatus(Integer)
`void` | `setQueueStatus(java.lang.Integer queueStatus)`
`void` | `setResponseTimeConfig(byte[] responseTime_Config)`
`void` | `setServerTypeName(java.lang.String serverTypeName)`

Methods inherited from class org.hyperic.hq.appdef.ServerBase
`getAutoinventoryIdentifier, getEntityId, getInstallPath, getServicesAutomanaged, isServicesAutomanaged, setAutoinventoryIdentifier, setInstallPath, setServicesAutomanaged`

Methods inherited from class org.hyperic.hq.appdef.server.session.AppdefResource
`getName, getResource, getSortName, setName, setResource, setSortName`

Methods inherited from class org.hyperic.hq.appdef.server.session.AppdefNamedBean
`getAuthzOp, getDescription, getLocation, getModifiedBy, setDescription, setLocation, setModifiedBy`

Methods inherited from class org.hyperic.hq.appdef.AppdefBean
`allowContainerManagedCreationTime, allowContainerManagedLastModifiedTime, getCid, getCreationTime, getCTime, getModifiedTime, getMTime, matchesValueObject, setCid, setCreationTime, setModifiedTime`

Methods inherited from class org.hyperic.hibernate.PersistedObject
`get_version_, getId, set_version_, setId`

Methods inherited from class java.lang.Object
`clone, finalize, getClass, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### AIServer

    public AIServer()

  default constructor

### AIServer

    public AIServer(AIServerValue sv)

Method Detail

### getAIPlatform

    public AIPlatform getAIPlatform()

### setAIPlatform

    public void setAIPlatform(AIPlatform aIPlatform)

### getActive

    public java.lang.Character getActive()

### setActive

    public void setActive(java.lang.Character active)

### getServerTypeName

    public java.lang.String getServerTypeName()

### setServerTypeName

    public void setServerTypeName(java.lang.String serverTypeName)

### getCustomProperties

    public byte[] getCustomProperties()

### setCustomProperties

    public void setCustomProperties(byte[] customProperties)

### getProductConfig

    public byte[] getProductConfig()

### setProductConfig

    public void setProductConfig(byte[] productConfig)

### getControlConfig

    public byte[] getControlConfig()

### setControlConfig

    public void setControlConfig(byte[] controlConfig)

### getResponseTimeConfig

    public byte[] getResponseTimeConfig()

### setResponseTimeConfig

    public void setResponseTimeConfig(byte[] responseTime_Config)

### getMeasurementConfig

    public byte[] getMeasurementConfig()

### setMeasurementConfig

    public void setMeasurementConfig(byte[] measurementConfig)

### getQueueStatus

    public int getQueueStatus()

### setQueueStatus

    public void setQueueStatus(java.lang.Integer queueStatus)

### setQueueStatus

    public void setQueueStatus(int queueStatus)

  Deprecated. use setQueueStatus(Integer)

  Parameters:
    `queueStatus` -

### getDiff

    public long getDiff()

### setDiff

    public void setDiff(long diff)

### isIgnored

    public boolean isIgnored()

### getIgnored

    public boolean getIgnored()

  Deprecated. use isIgnored()

  Returns:

### setIgnored

    public void setIgnored(boolean ignored)

### getAIServerValue

    public AIServerValue getAIServerValue()

  Deprecated. use (this) AIServer object instead

  legacy EJB DTO pattern

  Returns:

### setAIServerValue

    public void setAIServerValue(AIServerValue valueHolder)

### equals

    public boolean equals(java.lang.Object obj)

  Overrides:
    `equals` in class `AppdefBean`

### hashCode

    public int hashCode()

  Overrides:
    `hashCode` in class `AppdefBean`

### getAppdefResourceType

    public AppdefResourceType getAppdefResourceType()

  For compatibility

  Specified by:
    `getAppdefResourceType` in class `AppdefNamedBean`

### getAppdefResourceValue

    public AppdefResourceValue getAppdefResourceValue()

  For compatibility

  Specified by:
    `getAppdefResourceValue` in class `AppdefNamedBean`

### _getAuthzOp

    protected java.lang.String _getAuthzOp(java.lang.String op)

  Specified by:
    `_getAuthzOp` in class `AppdefNamedBean`

Overview | Package | Class | Tree | Deprecated | Index | Help
| Hyperic HQ Plugin API v. 4.4.0.2
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright © 2004-2006 Hyperic, Inc. support@hyperic.net, All Rights Reserved.